#include "br_node.h"

br_node::br_node(string data): data(data), color(0), parent(NULL), left(NULL), right(NULL) {}

string br_node::getWord() {
    return data;
}

int br_node::getColor() {
    return color;
}

RedBlackNodeInterface* br_node::getLeftChild() {
    return left;
}

RedBlackNodeInterface* br_node::getRightChild() {
    return right;
}
